import request from '@/utils/request'

// 查询用户签到列表
export function listSignUp(query) {
  return request({
    url: '/mall/signUp/list',
    method: 'get',
    params: query
  })
}

// 查询用户签到详细
export function getSignUp(signUpId) {
  return request({
    url: '/mall/signUp/' + signUpId,
    method: 'get'
  })
}

// 新增用户签到
export function addSignUp(data) {
  return request({
    url: '/mall/signUp',
    method: 'post',
    data: data
  })
}

// 修改用户签到
export function updateSignUp(data) {
  return request({
    url: '/mall/signUp',
    method: 'put',
    data: data
  })
}

// 删除用户签到
export function delSignUp(signUpId) {
  return request({
    url: '/mall/signUp/' + signUpId,
    method: 'delete'
  })
}

// 导出用户签到
export function exportSignUp(query) {
  return request({
    url: '/mall/signUp/export',
    method: 'get',
    params: query
  })
}